<?php

namespace TablesRouter;

class Fop_mail_host_box {
  
  

  
  

    // --- Statische Methoden ---
  
  public static function deleteConfirmURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteConfirmURL2($params);
	
    
  }

  public static function viewURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::viewURL2($params);
	
    
  }

  public static function mailboxSyncURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::mailboxSyncURL2($params);
	
    
  }

  public static function indexURL($params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		
		return self::indexURL2($params);
	
    
  }

  public static function createURL($params = [] , $column_email_server = null ) { 
    
    
    // --- BLOCK: main ---
    
		$params['column_email_server'] = $column_email_server;
		return self::createURL2($params);
	
    
  }

  public static function editURL($id = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::editURL2($params);
	
    
  }

  public static function deleteURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::deleteURL2($params);
	
    
  }

  public static function createListFop_mail_host_box_share_mailboxURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::createListFop_mail_host_box_share_mailboxURL2($params);
	
    
  }

  public static function editListFop_mail_host_box_share_mailboxURL($row = null , $parent = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['row'] = $row;$params['parent'] = $parent;
		return self::editListFop_mail_host_box_share_mailboxURL2($params);
	
    
  }

  public static function fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamicURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamicURL2($params);
	
    
  }

  public static function fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamicURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamicURL2($params);
	
    
  }

  public static function fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamicURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamicURL2($params);
	
    
  }

  public static function fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamicURL($id, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['id'] = $id;
		return self::fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamicURL2($params);
	
    
  }

  public static function searchOptionsfop_mail_host_box_dir_mailbox_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_mail_host_box_dir_mailbox_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsfop_mail_host_box_share_mailbox_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_mail_host_box_share_mailbox_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxURL2($params);
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_dir_create_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_dir_create_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_share_create_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_share_create_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_dir_edit_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_dir_edit_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_share_edit_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_share_edit_mailboxURL2($params);
	
    
  }

  public static function searchOptionsfop_mail_host_box_draft_mailbox_deletecascadeURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsfop_mail_host_box_draft_mailbox_deletecascadeURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_answer_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_answer_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_forward_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_forward_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_create_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_create_mailboxURL2($params);
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_edit_mailboxURL($value, $str, $deps, $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['str'] = $str;$params['deps'] = $deps;
		return self::searchOptionsform_wf_fop_mail_host_box_draft_edit_mailboxURL2($params);
	
    
  }

  public static function renderEditfop_mail_host_box_dir_mailbox_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_mail_host_box_dir_mailbox_deletecascadeURL2($params);
	
    
  }

  public static function renderEditfop_mail_host_box_share_mailbox_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_mail_host_box_share_mailbox_deletecascadeURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxURL2($params);
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_dir_create_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_dir_create_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_share_create_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_share_create_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_dir_edit_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_dir_edit_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_share_edit_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_share_edit_mailboxURL2($params);
	
    
  }

  public static function renderEditfop_mail_host_box_draft_mailbox_deletecascadeURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditfop_mail_host_box_draft_mailbox_deletecascadeURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_answer_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_answer_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_forward_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_forward_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_create_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_create_mailboxURL2($params);
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_edit_mailboxURL($value, $deps, $condition, $fop_field_name = null , $params = [] ) { 
    
    
    // --- BLOCK: main ---
    
		$params['value'] = $value;$params['deps'] = $deps;$params['condition'] = $condition;$params['fop_field_name'] = $fop_field_name;
		return self::renderEditform_wf_fop_mail_host_box_draft_edit_mailboxURL2($params);
	
    
  }

  public static function deleteConfirmURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/deleteConfirm';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function viewURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/view';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function mailboxSyncURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/mailboxSync';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/index';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function route($q) { 
    
    
    // --- BLOCK: main ---
    
	if (($q == 'deleteConfirm') ) {
		try {
			$result = \Tables\Fop_mail_host_box::deleteConfirmAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'view') ) {
		try {
			$result = \Tables\Fop_mail_host_box::viewAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'create') ) {
		try {
			$result = \Tables\Fop_mail_host_box::createAction(isset($_GET['column_email_server']) ? $_GET['column_email_server'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'edit') ) {
		try {
			$result = \Tables\Fop_mail_host_box::editAction(isset($_GET['id']) ? $_GET['id'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'mailboxSync') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::mailboxSyncAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamic') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamicAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamic') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamicAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamic') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamicAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamic') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamicAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		header('Content-Type: application/json'); 
		die(json_encode($result));
	}if (($q == 'createListFop_mail_host_box_share_mailbox')  ) {
		try {
			$result = \Tables\Fop_mail_host_box::createListFop_mail_host_box_share_mailboxAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'editListFop_mail_host_box_share_mailbox')  ) {
		try {
			$result = \Tables\Fop_mail_host_box::editListFop_mail_host_box_share_mailboxAction(isset($_GET['row']) ? $_GET['row'] : null, isset($_GET['parent']) ? $_GET['parent'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsfop_mail_host_box_dir_mailbox_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsfop_mail_host_box_dir_mailbox_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsfop_mail_host_box_share_mailbox_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsfop_mail_host_box_share_mailbox_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_dir_create_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_dir_create_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_share_create_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_share_create_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_dir_edit_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_dir_edit_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_share_edit_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_share_edit_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsfop_mail_host_box_draft_mailbox_deletecascade') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsfop_mail_host_box_draft_mailbox_deletecascadeAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_answer_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_draft_answer_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_forward_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_draft_forward_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_create_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_draft_create_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'searchOptionsform_wf_fop_mail_host_box_draft_edit_mailbox') && isset($_GET['value'])   && isset($_GET['str'])   && isset($_GET['deps'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::searchOptionsform_wf_fop_mail_host_box_draft_edit_mailboxAction($_GET['value'], $_GET['str'], $_GET['deps']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_mail_host_box_dir_mailbox_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditfop_mail_host_box_dir_mailbox_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_mail_host_box_share_mailbox_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditfop_mail_host_box_share_mailbox_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_dir_create_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_dir_create_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_share_create_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_share_create_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_dir_edit_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_dir_edit_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_share_edit_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_share_edit_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditfop_mail_host_box_draft_mailbox_deletecascade') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditfop_mail_host_box_draft_mailbox_deletecascadeAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_answer_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_draft_answer_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_forward_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_draft_forward_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_create_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_draft_create_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'renderEditform_wf_fop_mail_host_box_draft_edit_mailbox') && isset($_GET['value'])   && isset($_GET['deps'])   && isset($_GET['condition'])   ) {
		try {
			$result = \Tables\Fop_mail_host_box::renderEditform_wf_fop_mail_host_box_draft_edit_mailboxAction($_GET['value'], $_GET['deps'], $_GET['condition'], isset($_GET['fop_field_name']) ? $_GET['fop_field_name'] : null);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'delete') && isset($_GET['id'])  ) {
		try {
			$result = \Tables\Fop_mail_host_box::deleteAction($_GET['id']);
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}if (($q == 'index' || $q == '')) {
		try {
			$result = \Tables\Fop_mail_host_box::indexAction();
		} catch(\FOP\AccessDeniedException $e){
			\EasyEditor\Errors::render($e->getMessage() ?: 'accessdenied');
			die();
		}
		if (isset($result)) {
			header('Content-Type: application/json'); 
			die(json_encode($result));
		} else {
			die('');
		}
	}

	header('HTTP/1.0 404 Not found');
	\EasyEditor\Errors::render('Die angeforderte Funktion wurde nicht gefunden.');
	die();
    
  }

  public static function createURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/create';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/edit';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function deleteURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/delete';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function createListFop_mail_host_box_share_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/createListFop_mail_host_box_share_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function editListFop_mail_host_box_share_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/editListFop_mail_host_box_share_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamicURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamic';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamicURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamic';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamicURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamic';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamicURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamic';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_mail_host_box_dir_mailbox_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsfop_mail_host_box_dir_mailbox_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_mail_host_box_share_mailbox_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsfop_mail_host_box_share_mailbox_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_dir_create_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_dir_create_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_share_create_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_share_create_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_dir_edit_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_dir_edit_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_share_edit_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_share_edit_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsfop_mail_host_box_draft_mailbox_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsfop_mail_host_box_draft_mailbox_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_answer_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_draft_answer_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_forward_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_draft_forward_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_create_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_draft_create_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_edit_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/searchOptionsform_wf_fop_mail_host_box_draft_edit_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_mail_host_box_dir_mailbox_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditfop_mail_host_box_dir_mailbox_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_mail_host_box_share_mailbox_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditfop_mail_host_box_share_mailbox_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_dir_create_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_dir_create_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_share_create_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_share_create_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_dir_edit_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_dir_edit_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_share_edit_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_share_edit_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditfop_mail_host_box_draft_mailbox_deletecascadeURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditfop_mail_host_box_draft_mailbox_deletecascade';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_answer_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_draft_answer_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_forward_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_draft_forward_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_create_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_draft_create_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_edit_mailboxURL2($params) { 
    
    
    // --- BLOCK: main ---
    
		// Default-URL - kann durch rewrite-Regeln abgeändert werden
		
		if (!isset($url)) {
			$url = 'Tables/Fop_mail_host_box/renderEditform_wf_fop_mail_host_box_draft_edit_mailbox';
			$isFirst = true;
		}
		foreach ($params AS $k => $v) {
			if (!is_null($v)) {
				$url .= ($isFirst ? '?' : '&') . urlencode($k) . '=' . \FOP\Util::urlencode($v);
				$isFirst = false;
			}
		}
		if (\FOP\Configuration::getFOPUtilEnableRewrite() == 'true' || \FOP\Configuration::getFOPUtilEnableRewrite() == 1) {
			return \FOP\Util::getCurrentBaseurl() . $url;
		} else {
			return \FOP\Util::getCurrentBaseurl() . 'fop-router.php?q=' . urlencode($url);
		}
	
    
  }

  public static function indexAccess() { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteConfirmAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-fop_mail_host_box-delete ---
    
		if ($id !== null && \FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('fop_mail_host_box').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function viewAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!(!\FOP\User::getIsGuest())) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function mailboxSyncAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-fop_mail_host_box-view-id ---
    
		if (\FOP\Database::query('SELECT (CASE WHEN FALSE THEN TRUE ELSE NOT (('.qi('fop_mail_host_box').'.'.qi('fopuser').') <> ('.\FOP\Database::sessionVarSQL('user').')) END) FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function deleteAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-itemlist-fop_mail_host_box-delete ---
    
		if (\FOP\Database::query('SELECT SUM(CASE WHEN COALESCE('.(\FOP\User::getIsGuest() ? 'false' : 'true').', false) THEN 0 ELSE 1 END) FROM '.qi('fop_mail_host_box').' WHERE ' . (new \FOP\IDList($id))->toSQL(''.qi('ID').''))->fetchColumn() > 0) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createAccess($column_email_server = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()) && (!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-fop_mail_host-select-column_email_server ---
    
		if ($column_email_server !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('fop_mail_host').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($column_email_server))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editAccess($id = null ) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: access-item-fop_mail_host_box-edit-id ---
    
		if ($id !== null && \FOP\Database::query('SELECT '.(\FOP\User::getIsGuest() ? 'false' : 'true').' FROM '.qi('fop_mail_host_box').' WHERE '.qi('ID').' = ' . \FOP\Database::quote($id))->fetchColumn() != 1) {
			return false;
		}
	
    // --- BLOCK: main ---
    return true;
    
  }

  public static function createListFop_mail_host_box_share_mailboxAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function editListFop_mail_host_box_share_mailboxAccess($row = null , $parent = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchFop_mail_host_box_draft_answer_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_answer_contentSignature_defaultDynamicAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchFop_mail_host_box_draft_forward_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_forward_contentSignature_defaultDynamicAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchFop_mail_host_box_draft_create_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_create_contentSignature_defaultDynamicAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function fetchFop_mail_host_box_draft_edit_contentSignature_defaultDynamicwf_fop_mail_host_box_draft_edit_contentSignature_defaultDynamicAccess($id) { 
    
    
    // --- BLOCK: access ---
    if(!((!\FOP\User::getIsGuest()))) return false;
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_mail_host_box_dir_mailbox_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_mail_host_box_share_mailbox_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_dir_create_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_share_create_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_dir_edit_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_share_edit_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsfop_mail_host_box_draft_mailbox_deletecascadeAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_answer_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_forward_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_create_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function searchOptionsform_wf_fop_mail_host_box_draft_edit_mailboxAccess($value, $str, $deps) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_mail_host_box_dir_mailbox_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_mail_host_box_share_mailbox_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_create_fop_mail_host_box_share_mailbox_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditformarray_wf_fop_mail_host_box_edit_fop_mail_host_box_share_mailbox_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_dir_create_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_share_create_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_dir_edit_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_share_edit_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditfop_mail_host_box_draft_mailbox_deletecascadeAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_answer_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_forward_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_create_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }

  public static function renderEditform_wf_fop_mail_host_box_draft_edit_mailboxAccess($value, $deps, $condition, $fop_field_name = null ) { 
    
    
    // --- BLOCK: access ---
    
    // --- BLOCK: main ---
    return true;
    
  }


  
  

  
  
}



